This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1268227 - [system] Failed to activate service 'org.freedesktop.NetworkManager': timed out
[system] Failed to activate service 'org.freedesktop.NetworkManager': timed out
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
23
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-02 04:34 EDT by Patryk Zawadzki
Modified: 2016-12-20 09:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:51:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patryk Zawadzki 2015-10-02 04:34:19 EDT
Description of problem:
On boot NetworkManager activation is attempted but fails after 30 seconds with a timeout. Then after some time a second attempt succeeds at starting the service. During that time network is unavailable and GNOME session is degraded as color profiles and other settings are not restored until a connection to NM is either established or times out.


Version-Release number of selected component (if applicable):
NetworkManager-1.0.6-6.fc23.x86_64


How reproducible:
Happens on every boot.


Steps to Reproduce:
1. Boot the machine
2. Log into GNOME
3. Observe how color profiles are not loaded and network is unavailable
4. Consult journalctl to confirm that NM startup timed out and that gnome-session was waiting for it to succeed or fail

Actual results:
NM starts a minute or so after boot


Expected results:
NM starts and network is available immediately after boot


Additional info:
N/A
Comment 1 Patryk Zawadzki 2015-10-02 04:35:37 EDT
I forgot to mention: `journalctl -b _SYSTEMD_UNIT=NetworkManager.service` does not show any activity until the second activation is attempted.
Comment 2 Patryk Zawadzki 2015-10-02 05:33:46 EDT
This seems to be caused by a stale concurrency lock of ebtables. It seems that if the file exists on boot, NetworkManager and firewalld will both get stuck.
Comment 3 Fedora End Of Life 2016-11-24 07:40:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 09:51:02 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.